Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
webcam::Settings Struct Reference

Webcam settings. More...

`import <Webcam.idl;`

## Public Attributes
Format | format
| currently selected image format
Controls | controls
| image settings like brightness, contrast, gain, ...
string | name
| webcam name
Location | location
| webcam location
int | refreshInterval
| in ms, toggle "video" and "static image" mode

## Detailed Description

Webcam settings.

Definition at line 70 of file Webcam.idl.

## Member Data Documentation

## ◆ controls

Controls webcam::Settings::controls

image settings like brightness, contrast, gain, ...

Definition at line 72 of file Webcam.idl.

## ◆ format

Format webcam::Settings::format

currently selected image format

Definition at line 71 of file Webcam.idl.

## ◆ location

Location webcam::Settings::location

webcam location

Definition at line 74 of file Webcam.idl.

## ◆ name

string webcam::Settings::name

webcam name

Definition at line 73 of file Webcam.idl.

## ◆ refreshInterval

int webcam::Settings::refreshInterval

in ms, toggle "video" and "static image" mode

Definition at line 75 of file Webcam.idl.

The documentation for this struct was generated from the following file:

- Webcam.idl